Subject: bug#35154: guix package --show=openssh gnu/packages/curl.scm:55:4: error: libssh2: unbound variable

From: <[email-masked]>
Date: Fri, 5 Apr 2019 08:53:19 +0200 (CEST)

As I know it seems like need to run `guix pull` to update your scheme files.
I usually run updates for root and non-root users with this line:
`guix pull && guix package -u`

Also after update by root you may need to run `guix system reconfigure config.scm` with you config.scm file (that you need to have). This will update your guix-daemon.

Hope it helps!

Apr 5, 2019, 2:25 AM by [email-masked]:

> Hi Guix,
>
> When trying to run guix package --show with packages from the
> (gnu packages ssh) module, such as openssh, guile-ssh, and libssh, I get the following stack trace:
>
> $ guix package --show=openssh
> Backtrace:
> In ice-9/boot-9.scm:
>  3014:26 19 (_)
> In unknown file:
>  18 (primitive-load-path "gnu/packages/gnupg" #<procedure 1…>)
> In gnu/packages/gnupg.scm:
>  34:0 17 (_)
> In ice-9/boot-9.scm:
>  2874:4 16 (define-module* _ #:filename _ #:pure _ #:version _ # _ …)
>  2887:24 15 (_)
>  222:29 14 (map1 _)
>  222:29 13 (map1 _)
>  222:29 12 (map1 _)
>  222:29 11 (map1 _)
>  222:29 10 (map1 _)
>  222:17  9 (map1 (((gnu packages curl)) ((gnu packages crypto)) # …))
>  2800:17  8 (resolve-interface (gnu packages curl) #:select _ #:hide …)
> In ice-9/threads.scm:
>  390:8  7 (_ _)
> In ice-9/boot-9.scm:
>  2726:13  6 (_)
> In ice-9/threads.scm:
>  390:8  5 (_ _)
> In ice-9/boot-9.scm:
>  2994:20  4 (_)
>  2312:4  3 (save-module-excursion _)
>  3014:26  2 (_)
> In unknown file:
>  1 (primitive-load-path "gnu/packages/curl" #<procedure 20…>)
> In gnu/packages/curl.scm:
>  55:4  0 (_)
>
> gnu/packages/curl.scm:55:4: error: libssh2: unbound variable
>
> $ guix describe
> Generation 123  Apr 04 2019 22:02:49    (current)
>  guix-at-duke a9674ec
>  repository URL: > https://gitlab.oit.duke.edu/jackhill/guix-at-duke.git <https://gitlab.oit.duke.edu/jackhill/guix-at-duke.git>
>  branch: master
>  commit: a9674ec7b0decac94745c91df886817e2fc8a91b
>  guix 54c9d7b
>  repository URL: > https://git.savannah.gnu.org/git/guix.git <https://git.savannah.gnu.org/git/guix.git>
>  branch: master
>  commit: 54c9d7bb69847c89a7193347f858bb4e9476f7df
>
> To me, the error looks like a missing module import or simmilar, but I can't spot it. Perhaps it is something else.
>
> Best,
> Jack
>